import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';

part 'avatar.g.dart';

@JsonSerializable()
class Avatar extends Equatable {
  @JsonKey(name: 'full')
  final String full;

  Avatar({this.full});

  factory Avatar.fromJson(Map<String, dynamic> json) => _$AvatarFromJson(json);

  Map<String, dynamic> toJson() => _$AvatarToJson(this);

  @override
  List<Object> get props => [this.full];
}
