import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';

part 'ids.g.dart';

@JsonSerializable()
class Ids extends Equatable {
  @JsonKey(name: 'trakt')
  final int trakt;
  @JsonKey(name: 'slug')
  final String slug;
  @JsonKey(name: 'imdb')
  final String imdb;
  @JsonKey(name: 'tmdb')
  final int tmdb;
  @JsonKey(name: 'tvrage')
  final int tvrage;

  Ids({this.trakt, this.slug, this.imdb, this.tmdb, this.tvrage});

  factory Ids.fromJson(Map<String, dynamic> json) => _$IdsFromJson(json);

  Map<String, dynamic> toJson() => _$IdsToJson(this);

  @override
  List<Object> get props =>
      [this.trakt, this.slug, this.imdb, this.tmdb, this.tvrage];
}
