import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';

part 'get_device_code_body.g.dart';

@JsonSerializable()
class GetDeviceCodeBody extends Equatable {
  @JsonKey(name: 'client_id')
  final String clientId;

  GetDeviceCodeBody({this.clientId});

  factory GetDeviceCodeBody.fromJson(Map<String, dynamic> json) =>
      _$GetDeviceCodeBodyFromJson(json);

  Map<String, dynamic> toJson() => _$GetDeviceCodeBodyToJson(this);

  @override
  List<Object> get props => [this.clientId];
}
