import 'package:dio/dio.dart';
import 'package:retrofit/retrofit.dart';

part 'networks.g.dart';

@RestApi()
abstract class Networks {
  factory Networks(Dio dio, {String baseUrl}) = _Networks;

  @GET('/networks')
  Future<HttpResponse<dynamic>> getNetworks({
    @Query('client_id') String clientId,
    @Header('content-type') String contentType,
    @Header('trakt-api-version') String traktApiVersion,
    @Header('trakt-api-key') String traktApiKey,
    @Header('Authorization') String accessToken,
    @Queries() Map<String, dynamic> additionalQueries,
  });
}
